POST
/lending/v1/credit-lines/{credit_line_id}/debt/acceleration/installments/confirmationConfirmar anticipo de cuotas
El endpoint lending/v1/credit-lines/{credit_line_id}/debt/acceleration/installments/confirmation te permite confirmar y ejecutar el anticipo de planes de cuotas específicos de una línea de crédito. Una vez confirmado, las cuotas indicadas se aceleran inmediatamente.
- Si alguna de las cuotas ya fue acelerada, se rechaza con 422
INSTALLMENT_CHARGE_ALREADY_ACCELERATED. - Si el anticipo no se puede confirmar por otro motivo, se rechaza con 409
CONFIRM_DEBT_ACCELERATION_ERROR.
Parámetros disponibles
Path Parameters
credit_line_idStringrequired
Cuerpo de solicitud
application/jsontransaction_idsarrayrequired
Autenticación
🔒BearerAuthhttp
Detalle de respuestas
401
El token falta o es inválido. La respuesta no tiene cuerpo.
403
Sin cuerpo. El token es válido pero no tiene el scope que requiere el endpoint.
Ejemplo de solicitud
{
"transaction_ids": [
"ctx-2uoYnNyBsHaADF7fSHvkXykD6EY",
"ctx-3vpZoOzCtIbBEG8gTIwlYzlE7FZ"
]
}Ejemplo de código
curl -X POST "https://api.pomelo.la/lending/v1/credit-lines/example_value/debt/acceleration/installments/confirmation" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"transaction_ids": [
"ctx-2uoYnNyBsHaADF7fSHvkXykD6EY",
"ctx-3vpZoOzCtIbBEG8gTIwlYzlE7FZ"
]
}'Ejemplo de respuesta (200)OK
{
"data": {
"message": "string"
}
}